%define name 	editobj
%define	oname	EditObj
%define version 0.5.7
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	Tkinter dialog box for editing any Python object
Version: 	%{version}
Release: 	%{release}

Source:		%{oname}-%{version}.tar.bz2
URL:		http://home.gna.org/oomadness/en/editobj/
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-devel
Requires:	tkinter
BuildArch:	noarch

%description
EditObj can create and display a Tkinter dialog box for editing any Python
object (similarly to what Java call a Bean editor, but for Python object).
EditObj is a useful tool for writing (text or non-text) editors of all
kinds, including GUI editor, 3D editor,... It also includes a Python console.

EditObj supports also lists, dictionaries and hierarchies (nested lists)
edition.  EditObj includes also a tree widget for Tkinter, an event framework
and a mutiple undo/redo system.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc demo
%python_sitelib/%{name}
%python_sitelib/*.egg-info





%changelog
* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5.7-5mdv2010.0
+ Revision: 437374
- rebuild

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.5.7-4mdv2009.1
+ Revision: 324224
- fix file list

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.7-4mdv2009.0
+ Revision: 244625
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.7-2mdv2008.1
+ Revision: 140728
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.7-2mdv2007.0
+ Revision: 94093
- rebuild for python 2.5
- Import editobj

* Sat May 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.7-1mdk
- 0.5.7
- mkrel

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.6-2mdk
- Rebuild for new python

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.6-1mdk
- 0.5.6
- update url

* Sat Oct 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5

* Sun Jun 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.3-1mdk
- 0.5.3
- update url

